/*
  * UAE - The Un*x Amiga Emulator
  *
  * Dos Support Code
  *
  * (c) 1996 Tim Gunn
  *
  */

#ifdef _DOS_
extern int nfloppies;

#define NO_WIN          0x00
#define WIN_386_X		0x01
#define WIN_REAL		0x81
#define WIN_STANDARD	0x82
#define WIN_ENHANCED	0x83
#endif

struct dialog {
    char dbuff[4096];
    int dx,dy,dx2,dy2,dlx,dly,dlx2,dly2;
};

struct bstring{
    char data[32];
    int val;
};

extern int SETTC; //tui text colour.
extern int SETTB;  //tui back colour.
extern int SETHL; //tui hi-light colour.

extern void tui_curson(void);
extern void tui_cursoff(void);
extern void tui_textback(int);
extern void tui_textcolr(int);
extern void tui_reset(void);
extern void tui_scrollon(void);
extern void tui_scrolloff(void);
extern void tui_shutdown(void);
extern void tui_cleararea(int,int,int,int);

extern struct dialog dlog(struct dialog,int,int,int,int,char *);
extern void dlogdie(struct dialog);
extern int tuiscan(char *,int,char *);
extern void tui_drawbox(int,int,int,int);
extern void tui_errorbox(char *);
extern char *tuifilereq(char *,char *);
extern int fCmp (const void *, const void *);
extern char *catpath(char *,char *);
extern char *cutpath(char *);
extern int tui_menubrowse(struct bstring *,int);

extern void MakeBlankFile(char *,long);
extern long diskfree(void);
extern int windows_version(int *,int *);
extern char*os_ver_str(void);
extern int drive(void);
extern void set_current_drive(int);
extern int driveexists(char);
extern int tui_supp_init(void);
